PostZen
Webhooks

List webhooks

GET
/v1/webhooks

Returns webhook endpoints visible to the API key, newest first. Secret and custom header values are never returned.

Authorization

bearerAuth
AuthorizationBearer <token>

PostZen API key.

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/webhooks"
{  "webhooks": [    {      "id": "string",      "name": "string",      "url": "http://example.com",      "events": [        "post.published"      ],      "profileAccess": "all_profiles",      "profileIds": [        "string"      ],      "hasSigningSecret": true,      "customHeaderNames": [        "string"      ],      "isActive": true,      "disabledReason": "auto_consecutive_failures",      "consecutiveFailures": 0,      "lastDeliveredAt": "2019-08-24T14:15:22Z",      "lastFailedAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}
{  "error": "Unauthorized"}
{  "error": "Failed to create post"}